Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0019923
TypeCategorySeverityReproducibilityDate SubmittedLast Update
design defect[Openbravo ERP] B. User interfaceminoralways2012-02-29 17:262013-02-01 22:28
ReporterdbazView Statuspublic 
Assigned Toguilleaer 
PrioritynormalResolutionfixedFixed in Version3.0MP20
StatusclosedFix in branchFixed in SCM revisionb7f8a63e877c
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0019923: Image type fields should adapt itself to the defined rowspan and colspan

DescriptionImage type fields should adapt itself to the defined rowspan and colspan.

Right now they are fixed to colspan=1 and rowspan=2

PD: The solution should be tested in IE, Firefox and Chrome
Steps To ReproduceAs "Openbravo Admin"
* Go to "Product" window
Here there is an image field. Notice that if you change its colspan and rowspan values using form layoutter (with "Professional" license) or using "Window Tab And Fields" window, the size doesn't change
TagsNo tags attached.
Attached Filesdiff file icon 19923_imgecomponent.diff [^] (2,287 bytes) 2012-09-10 12:20 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00194033.0MP9 closedguilleaer Wrong performance of Rowspan value. 
related to defect 0022945 closedshankarb It is not possible to set the colspan and rowspan of an image field from Window, Tabs and Fields. 

-  Notes
(0052389)
AugustoMauch (developer)
2012-09-24 20:49

Effort: 3
Impact: low
Plan: mid
(0055957)
hgbot (developer)
2013-01-29 19:33

Repository: erp/devel/pi
Changeset: b7f8a63e877cdfa745adf1164c2f566daab0ad42
Author: David Baz Fayos <david.baz <at> openbravo.com>
Date: Mon Jan 14 17:17:26 2013 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/b7f8a63e877cdfa745adf1164c2f566daab0ad42 [^]

[calendar] Fixed issue 19923: Now the OBImageItem resizes its size
and added 'disabled' and 'readOnly' visualization

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-image.js
M modules/org.openbravo.client.application/web/org.openbravo.userinterface.smartclient/openbravo/skins/Default/org.openbravo.client.application/ob-form-styles.css
M modules/org.openbravo.client.application/web/org.openbravo.userinterface.smartclient/openbravo/skins/Default/org.openbravo.client.application/ob-form-styles.js
---
(0056014)
AugustoMauch (developer)
2013-01-31 15:10

Code reviewed and verified in pi@a7dea24ffd6d.

Now it is possible to resize the images using the Form Personalization feature, but not yet defining the rowspan and colspan from Windows, Tabs and Fields. A new issue will be reported to have this functionality.
(0056088)
hudsonbot (developer)
2013-02-01 22:28

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b070aa80fc76 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2012-02-29 17:26 dbaz New Issue
2012-02-29 17:26 dbaz Assigned To => guilleaer
2012-02-29 17:26 dbaz Modules => Core
2012-02-29 17:27 dbaz Relationship added related to 0019403
2012-05-08 12:45 alostale Type defect => design defect
2012-09-10 12:20 guilleaer File Added: 19923_imgecomponent.diff
2012-09-24 20:49 AugustoMauch Note Added: 0052389
2012-09-24 20:49 AugustoMauch Priority high => normal
2012-09-24 20:49 AugustoMauch Status new => scheduled
2013-01-29 02:07 dbaz Review Assigned To => AugustoMauch
2013-01-29 02:07 dbaz Triggers an Emergency Pack => No
2013-01-29 02:08 dbaz Issue Monitored: AugustoMauch
2013-01-29 19:33 hgbot Checkin
2013-01-29 19:33 hgbot Note Added: 0055957
2013-01-29 19:33 hgbot Status scheduled => resolved
2013-01-29 19:33 hgbot Resolution open => fixed
2013-01-29 19:33 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/b7f8a63e877cdfa745adf1164c2f566daab0ad42 [^]
2013-01-31 15:10 AugustoMauch Note Added: 0056014
2013-01-31 15:10 AugustoMauch Status resolved => closed
2013-01-31 15:10 AugustoMauch Fixed in Version => 3.0MP20
2013-01-31 15:14 AugustoMauch Relationship added related to 0022945
2013-02-01 22:28 hudsonbot Checkin
2013-02-01 22:28 hudsonbot Note Added: 0056088


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker